Events
Get series rule and all occurrences for a recurring event
GET
/
api
/
v1
/
events
/
{id}
/
series
Get series rule and all occurrences for a recurring event
curl --request GET \
--url https://api.linebundle.com/api/v1/events/{id}/seriesimport requests
url = "https://api.linebundle.com/api/v1/events/{id}/series"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/events/{id}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/events/{id}/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/events/{id}/series"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/events/{id}/series")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/events/{id}/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attendee_counts": {},
"limit": 123,
"occurrences": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_dt": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"id": 123,
"is_deleted": true,
"is_locked": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/Event.json",
"address": "<string>",
"description": "<string>",
"description_override": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"metadata_override": {},
"org_id": "<string>",
"parent_event_id": 123,
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"series_id": 123,
"series_index": 123,
"series_title": "<string>",
"start_dt": "2023-11-07T05:31:56Z",
"title_override": "<string>"
}
],
"page": 123,
"series": {
"created_at": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"duration": "<string>",
"ends_on": "never",
"freq": "daily",
"id": 123,
"interval": 123,
"is_deleted": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/EventSeries.json",
"address": "<string>",
"cover_image_key": "<string>",
"description": "<string>",
"end_count": 123,
"end_date": "2023-11-07T05:31:56Z",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"org_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"repeat_days": [
123
],
"series_manager_accepted_at": "2023-11-07T05:31:56Z",
"series_manager_expires_at": "2023-11-07T05:31:56Z",
"series_manager_id": "<string>",
"series_manager_invite_token": "<string>",
"series_manager_invited_at": "2023-11-07T05:31:56Z",
"series_manager_invited_by": "<string>",
"series_manager_invited_email": "<string>",
"series_manager_status": "<string>",
"start_dt": "2023-11-07T05:31:56Z"
},
"total": 123,
"total_attendees": 123,
"total_pages": 123,
"$schema": "https://api.linebundle.com/schemas/SeriesWithOccurrences.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Event ID (any occurrence in the series)
Query Parameters
Page number for occurrences (1-based)
Required range:
x >= 1Occurrences per page
Required range:
1 <= x <= 200Response
OK
Attendee counts by status
Show child attributes
Show child attributes
Page size
Occurrence events for the current page
Show child attributes
Show child attributes
Current page (1-based)
Recurrence rule
Show child attributes
Show child attributes
Total number of occurrences
Total unique attendees
Total number of pages
A URL to the JSON Schema for this object.
Example:
"https://api.linebundle.com/schemas/SeriesWithOccurrences.json"
Last modified on June 11, 2026
⌘I
Get series rule and all occurrences for a recurring event
curl --request GET \
--url https://api.linebundle.com/api/v1/events/{id}/seriesimport requests
url = "https://api.linebundle.com/api/v1/events/{id}/series"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.linebundle.com/api/v1/events/{id}/series', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.linebundle.com/api/v1/events/{id}/series",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.linebundle.com/api/v1/events/{id}/series"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.linebundle.com/api/v1/events/{id}/series")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.linebundle.com/api/v1/events/{id}/series")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"attendee_counts": {},
"limit": 123,
"occurrences": [
{
"created_at": "2023-11-07T05:31:56Z",
"created_dt": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"id": 123,
"is_deleted": true,
"is_locked": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/Event.json",
"address": "<string>",
"description": "<string>",
"description_override": "<string>",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"metadata_override": {},
"org_id": "<string>",
"parent_event_id": 123,
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"series_id": 123,
"series_index": 123,
"series_title": "<string>",
"start_dt": "2023-11-07T05:31:56Z",
"title_override": "<string>"
}
],
"page": 123,
"series": {
"created_at": "2023-11-07T05:31:56Z",
"creator_id": "<string>",
"duration": "<string>",
"ends_on": "never",
"freq": "daily",
"id": 123,
"interval": 123,
"is_deleted": true,
"status": "draft",
"timezone": "<string>",
"title": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"version": 123,
"visibility": 123,
"$schema": "https://api.linebundle.com/schemas/EventSeries.json",
"address": "<string>",
"cover_image_key": "<string>",
"description": "<string>",
"end_count": 123,
"end_date": "2023-11-07T05:31:56Z",
"end_dt": "2023-11-07T05:31:56Z",
"keywords": [
"<string>"
],
"latitude": 123,
"longitude": 123,
"metadata": {},
"org_id": "<string>",
"published_at": "2023-11-07T05:31:56Z",
"published_id": 123,
"repeat_days": [
123
],
"series_manager_accepted_at": "2023-11-07T05:31:56Z",
"series_manager_expires_at": "2023-11-07T05:31:56Z",
"series_manager_id": "<string>",
"series_manager_invite_token": "<string>",
"series_manager_invited_at": "2023-11-07T05:31:56Z",
"series_manager_invited_by": "<string>",
"series_manager_invited_email": "<string>",
"series_manager_status": "<string>",
"start_dt": "2023-11-07T05:31:56Z"
},
"total": 123,
"total_attendees": 123,
"total_pages": 123,
"$schema": "https://api.linebundle.com/schemas/SeriesWithOccurrences.json"
}{
"$schema": "https://api.linebundle.com/schemas/ErrorModel.json",
"detail": "Property foo is required but is missing.",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}